Subject: Re: [stir] WGLC: draft-ietf-stir-cert-delegation-02

From: Russ Housley <[email-masked]>
Date: Wed, 8 Apr 2020 12:12:12 -0400

Major Concern:

Section 7 says:

   The ordering MUST conform to the AKID/SKID order chain encoded
   in the certs themselves.

First, this is talking about a certification path in the terms of RFC 5280.

Second, AKID/SKID order is nor defined anywhere to my knowledge.  So, it needed to be defined here.

Minor Concern:

Section 5: s/should be validated/SHOULD be validated/

Section 8: Please add a reference for "CP/CPS".

Section 9 says: 'and a "ca" boolean set to "true"'.  It would be better to say something like: 'the cA boolean set to "true" in the basic constraints certificate extension [RFC5280]'

Nits:

Section 4.1: s/[RFC8226] Section 10.1/Section 10.1 of [RFC8226]/

Section 4.1: s/[RFC8226] TNAuthList/TNAuthList specified in [RFC8226]/

Section 5: s/certificate in turn has its own parent/certificate has a parent/

Section 5: s/entire certificate path/entire certification path/

Section 5: s/entire certificate chain/entire certification path/

Section 6: s/path construction/certification path construction/

Section 6: s/own chains/own certification path/

Section 6: s/certificate chain/certification path/

Section 7: s/certificate chains/certification paths/

Section 7: s/chains are already/certification paths are already/

Section 8: s/certificate chain/certification path/

Section 9 says:

   Specification of a TLS subcerts analog for STIR is
   deferred here to future work, at such a time as market players
   require it.

I suggest:

   Specification of a mechanism similar to TLS subcerts for STIR is
   future work, and it will be undertaken only if market players
   require it.

> On Mar 11, 2020, at 12:11 PM, Robert Sparks <[email-masked]> wrote:
> 
> This is a Working Group Last Call for draft-ietf-stir-cert-delegation-02
> 
> Please send your comments to the list or the chairs by Wed Apr 1. (This LC is three weeks because of the proximity to the IETF 107 week).
> 
> RjS
> 
> _______________________________________________
> stir mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/stir